PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
General
PDL API Reference » SysPm (System Power Management) » Functions

## General Description

## Functions
cy_en_syspm_status_t | Cy_SysPm_SetSRAMMacroPwrMode (cy_en_syspm_sram_index_t sramNum, uint32_t sramMacroNum, cy_en_syspm_sram_pwr_mode_t sramPwrMode)
| Function to set Power Mode for each of the Macro in a particular SRAM. More...
cy_en_syspm_sram_pwr_mode_t | Cy_SysPm_GetSRAMMacroPwrMode (cy_en_syspm_sram_index_t sramNum, uint32_t sramMacroNum)
| Function to get Power Mode for each of the Macro in a particular SRAM. More...
cy_en_syspm_status_t | Cy_SysPm_SetSRAMPwrMode (cy_en_syspm_sram_index_t sramNum, cy_en_syspm_sram_pwr_mode_t sramPwrMode)
| Function to set Power Mode for all the Macros for a particular SRAM. More...
cy_en_syspm_status_t | Cy_SysPm_SetSOCMemPartActivePwrMode (cy_en_syspm_socmem_sram_partition_index_t socmemSramPartNum, cy_en_syspm_socmem_sram_pwr_mode_t socmemSramPwrMode)
| Set Active mode Power Mode for a particular partition of SRAM in SOCMEM. More...
cy_en_syspm_status_t | Cy_SysPm_SetSOCMemPartDsPwrMode (cy_en_syspm_socmem_sram_partition_index_t socmemSramPartNum, cy_en_syspm_socmem_sram_pwr_mode_t socmemSramPwrMode)
| Set DS mode Power Mode for a particular partition of SRAM in SOCMEM. More...
cy_en_syspm_socmem_sram_pwr_mode_t | Cy_SysPm_GetSOCMemSramPartActivePwrMode (cy_en_syspm_socmem_sram_partition_index_t socmemSramPartNum)
| Function to get Active mode Power Mode for a particular SOCMEM SRAM Partition. More...
cy_en_syspm_socmem_sram_pwr_mode_t | Cy_SysPm_GetSOCMemSramPartDsPwrMode (cy_en_syspm_socmem_sram_partition_index_t socmemSramPartNum)
| Function to get DS mode Power Mode for a particular SOCMEM SRAM Partition. More...

## Function Documentation

## ◆ Cy_SysPm_SetSRAMMacroPwrMode()

cy_en_syspm_status_t Cy_SysPm_SetSRAMMacroPwrMode | ( | cy_en_syspm_sram_index_t | sramNum,
|  | uint32_t | sramMacroNum,
|  | cy_en_syspm_sram_pwr_mode_t | sramPwrMode
| ) |  |

Function to set Power Mode for each of the Macro in a particular SRAM.

Parameters

  sramNum | SRAM's index number has to be passed ex: CY_SYSPM_SRAM0_MEMORY or CY_SYSPM_SRAM1_MEMORY or CY_SYSPM_SRAM2_MEMORY See cy_en_syspm_sram_index_t.
  sramMacroNum | Macro number of a particular SRAM.

Note
  If SRAM1 and SRAM2 consists of single power partition, power mode will be applied to whole SRAM region, so 0 must be passed for sramMacroNum parameter.

Parameters

  sramPwrMode | Power Mode that needs to be set.

Returns
  - CY_SYSPM_SUCCESS - SRAM MACRO power mode is set.
  - CY_SYSPM_BAD_PARAM - Input parameters are out of range. See cy_en_syspm_status_t.

## ◆ Cy_SysPm_GetSRAMMacroPwrMode()

cy_en_syspm_sram_pwr_mode_t Cy_SysPm_GetSRAMMacroPwrMode | ( | cy_en_syspm_sram_index_t | sramNum,
|  | uint32_t | sramMacroNum
| ) |  |

Function to get Power Mode for each of the Macro in a particular SRAM.

Parameters

  sramNum | SRAM's index number has to be passed ex: CY_SYSPM_SRAM0_MEMORY or CY_SYSPM_SRAM1_MEMORY or CY_SYSPM_SRAM2_MEMORY See cy_en_syspm_sram_index_t.
  sramMacroNum | Macro number of a particular SRAM.

Note
  If SRAM1 and SRAM2 consists of single power partition, power mode will be applied to whole SRAM region, so 0 must be passed for sramMacroNum parameter, and the power mode obtained will be for whole SRAM.

Returns
  Returns SRAM power mode. See cy_en_syspm_sram_pwr_mode_t.

## ◆ Cy_SysPm_SetSRAMPwrMode()

cy_en_syspm_status_t Cy_SysPm_SetSRAMPwrMode | ( | cy_en_syspm_sram_index_t | sramNum,
|  | cy_en_syspm_sram_pwr_mode_t | sramPwrMode
| ) |  |

Function to set Power Mode for all the Macros for a particular SRAM.

Parameters

  sramNum | SRAM's index number has to be passed ex: CY_SYSPM_SRAM0_MEMORY or CY_SYSPM_SRAM1_MEMORY or CY_SYSPM_SRAM2_MEMORY See cy_en_syspm_sram_index_t.
  sramPwrMode | Power Mode that needs to be set.

Returns
  - CY_SYSPM_SUCCESS - SRAM power mode is set.
  - CY_SYSPM_BAD_PARAM - Input parameters are out of range. See cy_en_syspm_status_t.

## ◆ Cy_SysPm_SetSOCMemPartActivePwrMode()

cy_en_syspm_status_t Cy_SysPm_SetSOCMemPartActivePwrMode | ( | cy_en_syspm_socmem_sram_partition_index_t | socmemSramPartNum,
|  | cy_en_syspm_socmem_sram_pwr_mode_t | socmemSramPwrMode
| ) |  |

Set Active mode Power Mode for a particular partition of SRAM in SOCMEM.

Parameters

  socmemSramPartNum | SOCMEM- SRAM's Partition Number See cy_en_syspm_socmem_sram_partition_index_t.
  socmemSramPwrMode | Power Mode that needs to be set. See cy_en_syspm_socmem_sram_pwr_mode_t.

Returns
  - CY_SYSPM_SUCCESS - SRAM power mode is set.
  - CY_SYSPM_BAD_PARAM - Input parameters are out of range. See cy_en_syspm_status_t.

## ◆ Cy_SysPm_SetSOCMemPartDsPwrMode()

cy_en_syspm_status_t Cy_SysPm_SetSOCMemPartDsPwrMode | ( | cy_en_syspm_socmem_sram_partition_index_t | socmemSramPartNum,
|  | cy_en_syspm_socmem_sram_pwr_mode_t | socmemSramPwrMode
| ) |  |

Set DS mode Power Mode for a particular partition of SRAM in SOCMEM.

Parameters

  socmemSramPartNum | SOCMEM- SRAM's Partition Number See cy_en_syspm_socmem_sram_partition_index_t.
  socmemSramPwrMode | Power Mode that needs to be set. See cy_en_syspm_socmem_sram_pwr_mode_t.

Returns
  - CY_SYSPM_SUCCESS - SRAM power mode is set.
  - CY_SYSPM_BAD_PARAM - Input parameters are out of range. See cy_en_syspm_status_t.

## ◆ Cy_SysPm_GetSOCMemSramPartActivePwrMode()

cy_en_syspm_socmem_sram_pwr_mode_t Cy_SysPm_GetSOCMemSramPartActivePwrMode | ( | cy_en_syspm_socmem_sram_partition_index_t | socmemSramPartNum | ) |

Function to get Active mode Power Mode for a particular SOCMEM SRAM Partition.

Parameters

  socmemSramPartNum | SOCMEM- SRAM's Partition Number See cy_en_syspm_socmem_sram_partition_index_t.

Returns
  Returns SRAM power mode. See cy_en_syspm_socmem_sram_pwr_mode_t.

## ◆ Cy_SysPm_GetSOCMemSramPartDsPwrMode()

cy_en_syspm_socmem_sram_pwr_mode_t Cy_SysPm_GetSOCMemSramPartDsPwrMode | ( | cy_en_syspm_socmem_sram_partition_index_t | socmemSramPartNum | ) |

Function to get DS mode Power Mode for a particular SOCMEM SRAM Partition.

Parameters

  socmemSramPartNum | SOCMEM- SRAM's Partition Number See cy_en_syspm_socmem_sram_partition_index_t.

Returns
  Returns SRAM power mode. See cy_en_syspm_socmem_sram_pwr_mode_t.